Skip to content
SENS Platform Docs

Create a device type with an immutable key.

POST
/v1/tenants/{tenantNumber}/device-types
curl --request POST \
--url https://api.dev.iot-sens.schlossers.at/v1/tenants/1/device-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "key": "example", "name": "example", "metadata": { "additionalProperty": "example" } }'
tenantNumber
required
integer format: int32
>= 1 <= 2147483647
Media typeapplication/json
object
key
required
string
/^[a-z0-9][a-z0-9_-]{0,63}$/
name
required
string
>= 1 characters <= 200 characters
metadata
object
<= 50 properties
key
additional properties
One of:
string
Examplegenerated
{
"key": "example",
"name": "example",
"metadata": {
"additionalProperty": "example"
}
}

Device type created.

Media typeapplication/json
object
deviceTypeId
required
string format: uuid
tenantId
required
string format: uuid
key
required
string
/^[a-z0-9][a-z0-9_-]{0,63}$/
name
required
string
>= 1 characters <= 200 characters
status
required
string
Allowed values: active disabled
flowId
required
One of:
string format: uuid
activeFlowVersionNumber
required
integer | null
>= 1
deviceCount
required

Count within the caller’s visible device scope.

integer
activeDeviceCount
required

Active count within the caller’s visible device scope.

integer
metadata
required
object
<= 50 properties
key
additional properties
One of:
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"status": "active"
}
Location
string
Example
/v1/device-types/10000000-0000-4000-8000-000000000001

Canonical flat Device-Type URL.

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store